BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/reports/dead-stock
getWarehouseAdmin BFF

/bff/warehouse/reports/dead-stock

Surfaces capital tied up in inventory that has not moved recently. The default threshold of 90 days matches the e-commerce industry norm for fast-moving goods. Sortable by daysSinceLastMovement to show the worst offenders first.

WarehousegetBffWarehouseReportsDead-stock

Parameters

3 query

Query parameters

· 3
thresholdDaysstringOptional

Idle days that disqualify the item from being live stock. Default 90.

Exampleexample_thresholdDays
warehouseIdstringOptional
Exampleexample_warehouseId
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
stockItemIdnumberRequired
warehouseIdnumberRequired
warehouseNamestringRequired
productIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
productCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productVariantIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
variantCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
variantNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
virtualItemSkustring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
itemLabelstringRequired
quantitynumberRequired
lastMovementDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
daysSinceLastMovementnumberRequired
itemCountnumberRequired

Response example

application/json
{
  "items": [
    {
      "stockItemId": 0,
      "warehouseId": 0,
      "warehouseName": "example_warehouseName",
      "itemLabel": "example_itemLabel",
      "quantity": 0,
      "daysSinceLastMovement": 0
    }
  ],
  "itemCount": 0
}

Request example

GET /bff/warehouse/reports/dead-stock

get
curl -X GET "https://api.bizkithub.com/bff/warehouse/reports/dead-stock?thresholdDays=example_thresholdDays&warehouseId=example_warehouseId&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key